Subject: bug#58802: On guix pull: failed to compute the derivation for Guix (ERROR: In procedure %resolve-variable:)

From: zimoun <[email-masked]>
Date: Wed, 02 Nov 2022 10:31:11 +0100

Hi,

On lun., 31 oct. 2022 at 23:32, Wiktor Żelazny <[email-masked]> wrote:
> On Thu, Oct 27, 2022 at 10:04:43AM +0200, zimoun wrote:
>
>> Using Guix 00ff6f7 and running,
>>
>> --8<---------------cut here---------------start------------->8---
>> $ guix time-machine --commit=86ec52f66735b122b9035eba56516fd16f3be958 \
>>      -- time-machine --commit=c07b55eb94f8cfa9d0f56cfd97a16f2f7d842652 \
>>      -- help
>> --8<---------------cut here---------------end--------------->8---

> This doesn’t work for me, of course.

It means it is on your side and not on Guix side, of course. :-)

> This
>
>    guix time-machine --commit=67a204920285adaf5603da1bc5cc13726cbef191 -- help
>
> works.
>
> One commit later
>
>    guix time-machine --commit=08f2a06d261ad7a91b3f4df83a5093b8a28f15ed -- help
>
> fails.
>
> The commit is “gnu: Add guile-dns.” Kind of makes sense that it is
> guile-related.

Are you sure the error is not coming from your local channel named
guix-wz?

>From you initial bug report, the error seems because some Perl package.
And it would appear to me weird that the error would be from the
addition of the package guile-dns.

Cheers,
simon